PFS(8) | System Manager's Manual | PFS(8)

# NAME

pfs — save and restore information for NAT and state tables

# SYNOPSIS

pfs | [-v] -l

pfs | [-bv] -R filename

pfs | [-bv] -r filename

pfs | [-v] -u

pfs | [-bv] -W filename

pfs | [-bv] -w filename

# DESCRIPTION

The pfs command allows state information created for NAT entries and rules using “keep state” to be locked (modification prevented) and then saved to disk, allowing for the system to experience a reboot, followed by the restoration of that information, resulting in connections not being interrupted.

# OPTIONS

-b
  The information are read or stored using binary format. The default format is a readable ASCII format, similar to pfctl.conf syntax.
-l
  Lock state tables in the kernel.
-R filename
  Restore information from filename and load it into the kernel. The state tables are locked at the beginning of this operation and unlocked once complete.
-r filename
  Read information in from filename and load it into the kernel. This requires the state tables to have already been locked and does not change the lock once complete.
-u
  Unlock state tables in the kernel.
-v
  Provide a verbose description of what's being done.
-W filename
  Write information from the kernel out to filename. The state tables are locked at the beginning of this operation and unlocked once complete.
-w filename
  Write information from the kernel out to filename. This requires the state tables to have already been locked and does not change the lock once complete.

# FILES

/dev/pf

# SEE ALSO

pf(4)

July 21, 2009 | NetBSD 6.0